apiVersion: v1
kind: Service
metadata:
  name: __CI_ENVIRONMENT_SLUG__
  labels:
    app: __CI_ENVIRONMENT_SLUG__
spec:
  clusterIP: None
  ports:
  - port: 80
  selector:
    app: __CI_ENVIRONMENT_SLUG__
    tier: frontend
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: __CI_ENVIRONMENT_SLUG__
  labels:
    app: __CI_ENVIRONMENT_SLUG__
spec:
  replicas: __REPLICAS__
  selector:
    matchLabels:
      app: __CI_ENVIRONMENT_SLUG__
      tier: frontend
  template:
    metadata:
      labels:
        app: __CI_ENVIRONMENT_SLUG__
        tier: frontend
    spec:
      containers:
      - name: __CI_ENVIRONMENT_SLUG__
        image: registry.gitlab.com/gaetan.ars/gitlab-k8s:__TAG__
        ports:
        - containerPort: 80
          name: web
      imagePullSecrets:
      - name: regsecret
---
apiVersion: extensions/v1beta1
kind: Ingress
metadata:
  name: __CI_ENVIRONMENT_SLUG__
  labels:
    app: __CI_ENVIRONMENT_SLUG__
  annotations:
    kubernetes.io/ingress.class: "nginx"
spec:
  rules:
  - host: slides-__CI_ENVIRONMENT_SLUG__.myk8s.ga
    http:
      paths:
      - backend:
          serviceName: __CI_ENVIRONMENT_SLUG__
          servicePort: 80
        path: /